> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reporta.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Reports

> Search for reports using a specific identifier type and value



## OpenAPI

````yaml api-reference/report/report-openapi.json post /reports/search
openapi: 3.0.1
info:
  title: Fraud Report API
  description: API to report suspected activity
  version: 1.0.0
servers: []
security: []
paths:
  /reports/search:
    post:
      summary: Search for reports by identifier
      description: Search for reports using a specific identifier type and value
      requestBody:
        description: Search criteria
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                identifier:
                  type: string
                  description: Type of identifier to search
                  enum:
                    - account
                    - bvn
                    - nin
                    - drivers_license
                    - international_passport
                    - email
                    - phone
                    - account_name
                    - social_handle
                value:
                  type: string
                  description: Value of the identifier to search for
              required:
                - identifier
                - value
      responses:
        '200':
          description: Reports fetched successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Indicates if the search was successful
                  message:
                    type: string
                    description: Response message
                  data:
                    type: object
                    properties:
                      reports:
                        type: array
                        description: List of reports matching the search criteria
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              description: Unique ID of the report
                            companyId:
                              type: string
                              description: >-
                                ID of the company that reported the suspicious
                                activity
                            userId:
                              type: string
                              nullable: true
                              description: >-
                                ID of the user who reported the suspicious
                                activity
                            listingStatus:
                              type: string
                              description: Status of the report
                            exitedListAt:
                              type: string
                              nullable: true
                              description: >-
                                Timestamp of when the report was exited from the
                                list
                            exitListReason:
                              type: string
                              nullable: true
                              description: Reason for exiting the list
                            fraudType:
                              type: string
                              description: Type of fraud reported
                            fraudReason:
                              type: string
                              description: Reason for reporting the suspicious activity
                            showUploaderInfo:
                              type: boolean
                              description: Whether to show the uploader information
                            attachments:
                              type: array
                              description: List of attachments
                              items:
                                type: string
                            status:
                              type: string
                              description: Status of the report
                              enum:
                                - published
                                - draft
                            createdAt:
                              type: string
                              format: date-time
                              description: Timestamp when the report was created
                            updatedAt:
                              type: string
                              format: date-time
                              description: Timestamp when the report was last updated
                            identifiers:
                              type: array
                              description: List of encrypted identifiers
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: Unique ID of the identifier
                                  label:
                                    type: string
                                    description: Identifier label
                                  value:
                                    type: string
                                    description: Encrypted identifier value
                                required:
                                  - id
                                  - label
                                  - value
                            reportingCompany:
                              type: object
                              properties:
                                businessName:
                                  type: string
                                  description: Name of the reporting company
                                id:
                                  type: string
                                  description: ID of the reporting company
                              required:
                                - businessName
                                - id
                      publicReports:
                        type: array
                        description: List of public reports matching the search criteria
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              description: Unique ID of the report
                            userId:
                              type: string
                              nullable: true
                              description: >-
                                ID of the user who reported the suspicious
                                activity
                            fraudReason:
                              type: string
                              description: Reason for reporting the suspicious activity
                            fraudType:
                              type: string
                              description: Type of fraud reported
                            attachments:
                              type: array
                              description: List of attachment URLs
                              items:
                                type: string
                            financialInstitution:
                              type: string
                              description: Name of the financial institution involved
                            eventDate:
                              type: string
                              format: date-time
                              description: Date when the fraudulent event occurred
                            companyId:
                              type: string
                              description: >-
                                ID of the company that reported the suspicious
                                activity
                            notificationSent:
                              type: boolean
                              description: Whether notification has been sent
                            status:
                              type: string
                              description: Status of the report
                              enum:
                                - published
                                - draft
                            victim:
                              type: object
                              nullable: true
                              description: Information about the victim
                            guestInfo:
                              type: object
                              nullable: true
                              description: Information about the guest reporter
                            reportingEntity:
                              type: string
                              description: Entity that reported the incident
                              enum:
                                - self
                                - witness
                                - guest
                                - representative
                            createdAt:
                              type: string
                              format: date-time
                              description: Timestamp when the report was created
                            updatedAt:
                              type: string
                              format: date-time
                              description: Timestamp when the report was last updated
                            identifiers:
                              type: array
                              description: List of encrypted identifiers
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: Unique ID of the identifier
                                  label:
                                    type: string
                                    description: Identifier label
                                  value:
                                    type: string
                                    description: Encrypted identifier value
                                required:
                                  - id
                                  - label
                                  - value
                    required:
                      - reports
                      - publicReports
                required:
                  - success
                  - message
                  - data
        '400':
          description: Invalid search parameters
        '500':
          description: Internal server error
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````